# Simple demonstration of animation.
# by Sara Sprenkle

from graphics import *
from time import sleep

STEPS = 100

w = GraphWin("Simple Animation", 400, 400)
w.setBackground("orange")

# creating a blue circle on the left side of the window
current = Point(60,60)
circ = Circle(current, 50)
circ.setFill("blue")
circ.draw(w)

# animate moving the circle to the right side of the window
end = w.getWidth()
dx = (end - current.getX())/STEPS

for step in range(STEPS):
    circ.move(dx, 0)
    sleep(.1)

w.getMouse()

