# Move a circle to the position clicked by the user 5 times
# by CSCI 111

from graphics import *

CIRCLE_RADIUS = 50

win = GraphWin("Circle Shift", 500, 500)

# Give instructions to the user
anchorPoint = Point(win.getWidth()/2, 10)
instruction = Text(anchorPoint, "Click where you want your circle to go.")
instruction.draw(win)

# create the initial circle in the center of the window and draw it
midPoint = Point(win.getWidth()/2, win.getHeight()/2)
circle = Circle( midPoint, CIRCLE_RADIUS)
circle.draw(win)

for n in range(5):
    # get the user input--the mouse click
    point2 = win.getMouse()
    
    # move the circle to where the user clicked
    changeInX = point2.getX() - circle.getCenter().getX()
    changeInY =  point2.getY() - circle.getCenter().getY()
    
    circle.move(changeInX, changeInY)

# update the user's instructions
instruction.setText("Click to close")

win.getMouse()
win.close()
