# Given a file containing students names and their years (freshman, sophomore,
# junior, or senior) for this class, creates a report (in a file) that
# says the year and how many students from that year are in this class, on the
# same line.
#
# CSCI 111

FILENAME="data/years.dat"
REPORTNAME="data/report.dat"

print("This program will find out how many lines the given search term")
print("is on and show those lines")
print()
print("Looking at file", FILENAME)
print("Writing report to", REPORTNAME)

searchTerms = ["13", "14", "15", "16" ]

reportFile = open(REPORTNAME, "w")

# search for each of these terms
for searchFor in searchTerms:
    myFile = open(FILENAME, "r")
    # accumulate the number of times searchFor is in a line
    # of the file
    count = 0
    for line in myFile:
        # if the term that we are looking for is in the line
        if searchFor in line:
            count += 1
    myFile.close()
    # construct the output in the form:
    # graduating_year number_of_students_in_that_year
    outputLine = "%s %d\n" % (searchFor, count)
    reportFile.write(outputLine)
    
reportFile.close()
