# Simple implementation of the game of War
# There are some issues in simulation's accuracy.
# Sara Sprenkle and CSCI111

from card import *
from random import *

def main():
    player1Card = genRandomCard()
    player2Card = genRandomCard()

    print("Player 1 draws a", player1Card)
    print("Player 2 draws a", player2Card)
    
    player1Rank = player1Card.getRank()
    player2Rank = player2Card.getRank()
    
    if player1Rank > player2Rank:
        print("Player 1 wins")
    elif player2Rank > player1Rank:
        print("Player 2 wins")
    else:
        print("You're going to war!!")
    
    

def genRandomCard():
    """ Returns a randomly generated Card object.
    Assumes an infinite number of decks of cards available."""
    
    suits = ["hearts", "diamonds", "clubs", "spades"]
    
    randRank = randint(2, 14) # generate a random rank
    randSuit = suits[randint(0, 3)]  # generate a random suit
    
    # create a new Card object from randomly generated rank and suit
    randomCard = Card( randRank, randSuit )
    
    return randomCard
    
main()
