# Draw a rectangle using the graphics API
# by CSCI111

from graphics import *

# create the rectangle
point1 = Point(50, 50)
point2 = Point(100, 100)

r = Rectangle(point1, point2)
# Alternatively,
# r = Rectangle( Point(50, 50), Point(100, 100))

# draw the rectangle
win = GraphWin("My Rectangle", 100, 100)
r.draw(win)

# pause
win.getMouse()

# shift the rectangle to the right by 10 pixels
r.move(10, 0)

# pause
win.getMouse()

# Find out the new coordinates for the rectangle
upperLeft = r.getP1()
bottomRight = r.getP2()
print( "upper left coordinates: (", upperLeft.getX(), ",", upperLeft.getY(), ")" )
print( "lower right coordinates: (", bottomRight.getX(), ",", bottomRight.getY(), ")" )

win.getMouse()
win.close()
