# Attempt at swapping two variables in a function
# FAIL!  Swapping within a function won't work. :(
# Why?  Because in Python, we're only passing in *copies*
# of parameters, not the original variables


def main():
    x = 5
    y = 7
    
    swap(x, y)
    
    # at the end, y should be 5 and x should be 7
    print("x =", x)
    print("y =", y) 

def swap( a, b):
    tmp = a
    a = b
    b = tmp
    print(a, b)    
    
main()

