# Given a file of the form <lastname> <year>
# creates a mapping between the last names and years
# by CSCI 111

FILENAME="data/years.dat"

# open the file for reading
yearsFile = open(FILENAME, "r")

# create an accumulator dictionary
lastnameToYear = {}

# iterate through the lines of the file
for line in yearsFile:
    # split the line
    # the list created has the last name as the first item
    # and the second item in the list is the year
    lineList = line.split()
    lastname = lineList[0]
    year = int(lineList[1])
    
    # add a new mapping from the lastname --> year
    lastnameToYear[lastname] = year
    
yearsFile.close()

#print(lastnameToYear)
    
for lastname in sorted(lastnameToYear):
    year = lastnameToYear[lastname]
    print(lastname, year)
    
    
    
